Subject: Re: Job | Tech Support Remote Screening
From: Navneet raj <[email-masked]>
To: [email-masked]
Date: Sun, 27 Dec 2020 18:15:42 +0530

Not able to view Details? Learn More

Job Title
Job | Tech Support Remote Screening

3497 Applicants

View All

Navneet raj
I am a human interaction driven, Technical support executive who is having understanding about cloud products. Currently I am working in BPO as Global Cloud Billing Specialist for Ingram Micro.

Shortlist

Reject

Current Designation Technical Support Executive Escalations
Current Company Teleperformance D I B S
Notice Period 15 Days or less
Previous Designation Senior Support Executive
Previous Company A&P Entrepresies

Contact Details
Mobile:

Exp
1 Yr

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Noida, Patna
Education
BCA
Indira Gandhi National Open University (IGNOU)
Key Skills
Customer Support, Email Support, BPO, Customer Satisfaction, Technical Support, Inbound Calls, Customer Relationship, Technical Services

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem